AirLog Pilot Logbook

 Top Next

AirLog 3.0

Welcome to AirLog! Whether you are a private pilot, student pilot, instrument rated pilot, or commercial pilot, AirLog aviation software delivers powerful automated features that make logging your flight time a breeze so you can spend your time flying - not logging. AirLog provides all the features even the most demanding pilots, students, and instructors of all levels require in an electronic pilot logbook. With Airlog's intuitive interface, quick start wizard, and automatic log entry assistance, logging your flights is fast and easy!

AirLog gives you even more power with Palm OS software! Log your time wherever you are then transfer and synchronize your records with your logbook later. Combining the best features of packages more than twice the cost, AirLog is hands down the best value in aviation software on the market today!

Click here to learn about setting up your data connection.

Click here to learn more about setting up your logbook with the Quick Start Wizard.

If you have any questions, comments, or need technical assistance, email us at support@airlogsoftware.com or visit us on the web at http://www.airlogsoftware.com.

This is a fully functional version with no time limit so you can take your time evaluating it. The only limitation while unregistered is the 20 flight record limit, the ability to create multiple users, and online account access. For more information on the benefits of registration, visit the ordering and registration page.

AirLog Pilot Logbook is © Copyright 2008 by Glenn Tobin, All Rights Reserved.


AirLog Features

 Top Previous Next

AirLog Pilot Logbook features...

User Definable Database

Tracking for Unlimited Aircraft

Auto Log Entry Assistance

Graphing and Currency Tracking

Date Driven Reports and Graphs

User Defined Currency Requirements

Unlimited Flight Comments

Import/Export .csv, .dat, .txt, .html

Instant Pilot Resume

Multi-User

Palm OS Support

…and much much more!

User Defined Database

AirLog gives you the option to use a MySQL database server or an MS Access database.

Quick Start Wizard

The quick start wizard will help you set up AirLog and begin logging your flight time in minutes. The wizard guides you through each item that must be completed in order to begin using your logbook in the order they must be entered.

Track Unlimited Aircraft

AirLog allows you to track and maintain as many aircraft as you want, no matter how frequently you use them. By storing characteristics of each aircraft separately, you don't have to enter this information with each flight. If a change needs to be made to the characteristics of an aircraft, simply make the change to the aircraft record and all reports and graphs will reflect the changes.

Currency Tracking

AirLog allows you to define your specific currency requirements. The main interface displays color coded status messages for your medicals, flight reviews, day and night VFR currency, IFR currency and last flight.

Accurate Data Analysis

AirLog helps you accurately track all aspects of your flying carreer with complete reports, graphs, and user defined currency tracking. View your flight time with breakdowns including time by classification, aircraft, make, model, category, power and landings by airport class.

Import/Export

Import your flight records from other software or export from your logbook in popular formats such as .dat, .txt, .csv, and .html.

Complete Reporting and Graphs

You can generate graphs and reports including all records or only records within a certain date range.

Instant Resume and Statistics

Instantly generate pilot resumes and complete logbook statistics anytime to print or post online.

Multiple Users

Multi-user licenses available.

Palm OS Support

AirLog Pilot Logbook supports Palm OS. Enter your time in the companion Palm software while away and upload to AirLog at a later time.


Ordering and Registration Benefits

Registration Benefits

All registered AirLog users receive...

Fully enabled version of AirLog Pilot Logbook with no flight record limitations.

All Minor version upgrades and revisions free.

Special major upgrade price (when new versions are released)

Free Palm OS companion software.

Priority email support.

Regular information updates.

Secure Online Ordering

To order your copy of AirLog Pilot Logbook for Windows, simply visit our secure order page at http://www.airlogsoftware.com/order.html. You can select "Help -> About AirLog..." from the main application menu to order from the "About" screen. Click the "Secure Online Ordering" button in the center of the about screen to launch your default web browser to the AirLog web site.

Entering Your Registration Code

Once you have ordered AirLog, you will need to enter the registration information you received by email or phone. To enter your registration information, click "Help -> About AirLog..." from the main application menu. When you get to the "About" screen, click the "Enter Unlock Code" button in the lower right corner of the about screen (just above the "OK" button). When you are prompted by the "Registration Information" dialog box, enter your registration information EXACTLY as you received it and click the "Unlock" button.


License Agreement

IMPORTANT: CAREFULLY READ THIS AGREEMENT BEFORE DOWNLOADING, INSTALLING, COPYING OR USING THIS SOFTWARE, PROCEEDING TO DO SO INDICATES YOUR ACCEPTANCE OF ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT IN A LEGALLY BINDING MANNER. IF YOU DO NOT AGREE TO THESE TERMS AND CONDITIONS, YOU ARE NOT AUTHORIZED TO USE THE SOFTWARE.

IF YOU ARE OBTAINING THE SOFTWARE AS DEFINED BELOW ON BEHALF OF A COMPANY, YOU REPRESENT THAT YOU ARE DULY AUTHORIZED TO REPRESENT THE COMPANY AND ACCEPT THE TERMS AND CONDITIONS OF THE AGREEMENT ON BEHALF OF THE COMPANY. A BINDING CONTRACT IS THEN FORMED BETWEEN THE AUTHOR AND THE COMPANY IN ACCORDANCE WITH THE TERMS OF THIS AGREEMENT. YOU PERSONALLY AGREE NOT TO COMMIT OR ENCOURAGE ANY VIOLATION OF OUR AGREEMENT WITH THE COMPANY.

IF THE COMPANY YOU REPRESENT OR YOU (COLLECTIVELY "YOU") DO NOT AGREE TO THE TERMS AND CONDITIONS OF THIS AGREEMENT, DO NOT DOWNLOAD OR INSTALL THE SOFTWARE.

PROPRIETARY RIGHTS AND CONDITIONS:

ALL RIGHTS, TITLE AND INTEREST INCLUDING, BUT NOT LIMITED TO, COPYRIGHT AND OTHER INTELLECTUAL PROPERTY RIGHTS IN AND TO THE SOFTWARE (INCLUDING BUT NOT LIMITED TO ALL FILES, GRAPHICS/IMAGES, AND TEXT) ARE OWNED BY THE AUTHOR. SUCH RIGHTS ARE PROTECTED BY UNITED STATES COPYRIGHT LAWS, OTHER APPLICABLE COPYRIGHT LAWS, AND INTERNATIONAL TREATY PROVISIONS. THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED HEREIN. THE SOFTWARE OR ANY PORTION THEREOF, IS NOT TO BE REDISTRIBUTED OR RESOLD. THE SOFTWARE CANNOT BE RESOLD OR OFFERED AS A SERVICE WITHOUT EXPLICIT WRITTEN PERMISSION FROM THE AUTHOR. THIS LICENSE DOES NOT GRANT ANY RESELLER PRIVILEGES. THE AUTHOR RESERVES THE RIGHT TO REFUSE PERMISSION TO USE THIS SOFTWARE PRODUCT TO ANY INDIVIDUAL OR COMPANY FOR ANY REASON, AND MAY DO SO WITHOUT NOTICE.

LICENSES:

LICENSE DOES NOT GRANT ANY RESELLER PRIVILEGES.

DISCLAIMER OF WARRANTIES:

THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, THE AUTHOR DISCLAIMS ALL WARRANTIES, EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, ANY IMPLIED WARRANTIES OF PERFORMANCE, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NONINFRINGEMENT. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, CONSEQUENTIAL OR INCIDENTAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION OR LOSS OF BUSINESS INFORMATION) ARISING OUT OF THE USE OF OR INABILITY TO USE THE SOFTWARE, EVEN IF THE AUTHOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

LIMITATION OF LIABILITY:

EXCEPT TO THE EXTENT PROHIBITED BY LOCAL LAW, IN NO EVENT WILL THE AUTHOR BE LIABLE FOR DIRECT, SPECIAL, INCIDENTAL, CONSEQUENTIAL OR OTHER DAMAGES (INCLUDING LOST PROFIT, LOST DATA, OR DOWNTIME COSTS), ARISING OUT OF THE USE, INABILITY TO USE, OR THE RESULTS OF USE OF THE SOFTWARE, WHETHER BASED IN WARRANTY, CONTRACT, TORT OR OTHER LEGAL THEORY, AND WHETHER OR NOT ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. YOUR USE OF THE SOFTWARE IS ENTIRELY AT YOUR OWN RISK. SHOULD THE SOFTWARE PROVE DEFECTIVE, YOU ASSUME THE ENTIRE COST OF ALL SERVICE, REPAIR OR CORRECTION.

RETURN POLICY:

SOFTWARE CANNOT BE RETURNED FOR A REFUND. SHOULD YOU EXPERIENCE A PROBLEM WITH ANY PURCHASED SOFTWARE, THE AUTHOR OFFERS SUPPORT SERVICES TO ASSIST WITH ANY TECHNICAL ISSUES.


System Requirements

AirLog Pilot Logbook Minimum System Requirements

Intel Pentium Processor or equivalent

64 MB available RAM

20 MB available disk space

256-color monitor capable of 800 x 600 resolution

Windows 95, 98, ME, NT4, 2000 or XP

With MySQL Database

MySQL Database Server Access

MySQL Database Drivers

Downloads and more information available at http://www.airlogsoftware.com


Copyright

THIS PROGRAM AND CONTENT IS COPYRIGHT © 2008 GLENN TOBIN. ALL RIGHTS RESERVED.

THIS HELP FILE, AS WELL AS THE SOFTWARE DESCRIBED IN IT, IS FURNISHED UNDER LICENSE AND MAY BE USED OR COPIED ONLY IN ACCORDANCE WITH THE TERMS OF SUCH LICENSE. THE CONTENT OF THIS MANUAL IS FURNISHED FOR INFORMATIONAL USE ONLY, IS SUBJECT TO CHANGE WITHOUT NOTICE, AND SHOULD NOT BE CONSTRUED AS A COMMITMENT BY THE AUTHOR GLENN TOBIN. THE AUTHOR ASSUMES NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR INACCURACIES THAT MAY APPEAR IN THIS DOCUMENTATION. EXCEPT AS PERMITTED BY SUCH LICENSE, NO PART OF THIS PUBLICATION MAY BE REPRODUCED, STORED IN A RETRIEVAL SYSTEM OR TRANSMITTED IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL, RECORDING, OR OTHERWISE, WITHOUT THE PRIOR WRITTEN PERMISSION OF THE AUTHOR.


Warranty

THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, THE AUTHOR DISCLAIMS ALL WARRANTIES, EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, ANY IMPLIED WARRANTIES OF PERFORMANCE, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NONINFRINGEMENT. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, CONSEQUENTIAL OR INCIDENTAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION OR LOSS OF BUSINESS INFORMATION) ARISING OUT OF THE USE OF OR INABILITY TO USE THE SOFTWARE, EVEN IF THE AUTHOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.


Getting Started With AirLog

Steps in setting up a full installation of AirLog Pilot Logbook.

Download

To begin with, you need to acquire a copy of AirLog. To download the latest version of AirLog for purchase or trial, use your browser to navigate to the AirLog website (http://www.airlogsoftware.com) and navigate to the download section. AirLog comes with a default MS Access database but if you plan to use AirLog with MySQL, you will also need to make sure you have a MySQL database and the proper drivers. More information on obtaining and installing the MySQL database and drivers can be found on the website above.

Installation

To install the AirLog Pilot Logbook software, follow the instructions below.

1. Make sure you have an unzip utility such as WinZip to unarchive the setup files. Locate the downloaded .zip file on your hard drive and extract the setup files to a folder.

2. Find the AirLog ".zip" file you downloaded and extract the files by right clicking on it and selecting "Extract to folder..." (or the equivalent).

3. After Winzip has extracted all the setup files, go to that folder and run the "setup.exe" file. The installation program will take you through the steps of installing AirLog and registering the necessary components on your machine.

Network Installation

Follow the steps above on your serving computer. Install the AirLog dependency setup on each computer you wish to run AirLog on.

Once you have completed installing AirLog, you are ready to set up your logbook data connection.

Be sure to check the website for any updates to this information.


Data Connection

You must establish a connection to a database before you can use your pilot logbook. AirLog comes packaged with a default MS Access database.

When starting AirLog for the first time, you will be prompted by the data connection screen (with the default database information already entered). To use the default database that comes packaged with AirLog, simply click the "Test Connection" button to make sure the default settings that are entered are correct, then click the "OK" button.

Default Access Database Settings

Database: Access

Name: AirLog

Path: X:\Your Application Installation Directory\Data\ ("C:\Program Files\AirLog\Data\")

Username: Admin

Password: (Leave Blank)

Advanced users can configure the connection in several different ways. Simply change the name, path, username, and/or password to reflect any name or path changes you may wish to make to your database.

MySQL

Before you try to connect to your MySQL server, make sure you have the proper drivers installed to make the connection (downloads and more info can be found at http://www.airlogsoftware.com). Select "MySQL" from the database drop-down box and enter the settings required to connect. Next, click the "Test Connection" button to confirm your connection. When you succeed at creating your connection to the MySQL server, you will be prompted to create your database. Select "Yes" and AirLog will automatically create your MySQL database.

If you wish to create your MySQL database manually, you can create the database and run the included airlog.sql file (found in the AirLog application directory "\Program Files\AirLogNet\airlog.sql") then run the application and enter your MySQL settings and test your connection. NOTE: Anytime you change the data connection settings (after the initial setup) you must restart AirLog.

When you have successfully configured your database connection and clicked "OK", you are ready to setup your logbook with the Quick Start Wizard.


Quick Start Wizard

Setting Up Your Logbook With The Quick Start Wizard

After you have established your data connection, the AirLog Quick Start Wizard will guide you through the process of quickly and easily setting up your AirLog database for the first time. The items listed to the left are the items that must be completed in order to begin using AirLog. You will be stepped through them starting with airports. At any time, you can go back to a previous item by using the ""Back"" button or you may edit them later using the application's main menu.

If you wish to use your data from a previous version of AirLog, click the ""Convert"" button on the wizard screen to automatically convert your previous database. This will allow you to skip the AirLog Quick Start Wizard and automatically import your previous data.

NOTE: To register before continuing, simply select "Help->About AirLog..." from the main application menu at the top of the wizard screen and enter iyour user id and unlock code.

To start the wizard, click "Begin" to and simply follow the on screen instructions to enter your data.

When you have completed the wizard, you are ready to begin logging your time!


Logbook

The main logbook screen is where you will do most of your administration, maintenance, and other tasks.

Logbook

Flight Record Grid

The flight record grid in the center is a listing of all flight records entered. The grid columns can be adjusted to suit each user's preference by clicking and dragging the vertical line to the right of the desired column.

Record Details

Just below the flight record grid is details including time breakdown, landings, and comments for each record entered (as records are selected from the grid).

You can toggle between user defined time fields and the default time fields by clicking the appropriate small circle just to the left of the "Time Detail" caption

Currency Status

Below the the time and landings data views, at the bottom of the main screen, is your currency status which allows you to receive color coded status messages for your Medicals, Flight Reviews, Day and Night VFR Currency, IFR Currency and last flight.

Display Summary

The right vertical section allows you to view your complete daytime summary, nighttime summary, grand totals and any user defined time field totals you have selected.

Status Bar

The status bar at the bottom of the screen allows you to see your data connection type, database name and connection status as well as the total flight record count, current date, time, and the security level you are logged in with.


User Settings

User Settings

User settings allow each user to set their own personal options.

User Defined Time Fields

There are 5 user definable time fields for you to add your own cutom times. Enter a caption for each time field you wish to use and enable it by checking the "In Use" checkbox. Your custom time field will now be available in the logbook grid, time display (under the logbook record grid), user time summary, and logbook report.

You can not disable any user defined time fields that have flight records with time recorded in that field. You can, however, remove any flight records or update any records that have time on a user defined time field to "0" and uncheck the "In Use" checkbox to disable them.

To display your custom time field totals on your pilot resume, make sure the "Show On Resume" box is checked. Unchecking the box will keep any user time field totals from displaying on your resume.

Flight Record Entry

Under the custom time fields, there is a section that lets you decide how the default data is displayed when adding flight records. If the "Most Recent Flight Record" option is selected your default flight date will and from airport will be filled out with values from the most recent flight record entry. This is the normal setting when entering your flight records on a daily basis.

If you already have (or currently are) entering your flight records day to day, and are in the process of converting paper logbook data, you can select the "Last Entered Values" option to save time. This will default your flight data entry screen with the flight date and from airport data with the values from your last entered record.

Logbook Display

This option simply lets you select light text on a dark background or dark text on a light background for the record display under the logbook record grid.

Reports and Graphs

Check "Exclude Simulators" if you want reports and graphs to ignore any flight data the was done in an aircraft that is marked "Simulator". This will not affect how the logbook will report - all records are included regardless of aircraft options.

Print legs and comments in your logbook by checking the appropriate boxes under the "Logbook" section or uncheck so they do not print.

You can include each airport from flights with multiple legs in the "Landings" report and graph by checking the "Include Legs" checkbox under the Landings Report/Graph.

Auto Login

To completely bypass the login/logout screens and disable prompting, check the "Bypass Login Screen" checkbox. This option is only available with single user licenses.

Reset Logbook

The small button in the lower left hand side of the option screen will reset all logbook columns to their original default widths.


Date Range

Date Range Screen

Each user has the ability to generate reports and graphs based on a date range or all records. To open the date range options screen, click "Tools->Date Range..." from the main application menu.

To generate reports and graphs on all of your records, make sure the "All Records" box is checked. This will disable the date boxes. To generate a report based on a date range, uncheck the "All Records" box. This will enable the date boxes and allow you to set a beginning and ending date to generate your reports and graphs on.

Entering A Date Range

To generate a date range from a certain date, say, the 1st day of the 1st month of a certain year to the current date, enter the from date and check the "Current Date" box. That way, your reporting date range will always report from the entered "From" date to the current system date.


Main Menu

The main application menu is located at the top of the logbook screen.

File

Data Connection

Logbook database connection settings.

Import

Import flight, aircraft, and airport records into your logbook.

Export

Export resume, flight, aircraft, airport records from your logbook in several formats including .csv, .dat, and .txt.

Log Files

View import and export activity.

Exit

Ends the application.

Maintenance

Airports

Maintain airport records.

Aircraft

Maintain aircraft, make & model, and type rating records.

Users (Multi-User)

Maintain AirLog users.

Organization Information (Multi-User)

Maintain organization information.

Edit

Pilot Information

User information maintenance for current logged in user.

Certificates & Ratings

Certificate & rating maintenance for the current logged in user.

Medicals

Medical record maintenance for the current logged in user.

Reviews

Review maintenance for the current logged in user.

Currency Requirements

Currency requirement maintenance for the current logged in user.

Reports

Listings

Users can view available airports, aircraft, and aircraft makes & models.

Time In

Various time reports for the current logged in user to view.

Landings By Airport Class

Landing report for users.

Time As

Report that breaks down how time was logged.

Logbook

User's logbook.

Totals

Totals report.

8710 Summary

8710 summary for the current logged in user.

Print Resume

Prints the curren user's resume directly to the printer.

Charts

Graph representations of various reports.

Time In

Landings By Airport Class

Time As

Tools

Date Range

Controls any date limitations for the current user to print reports and graphs by.

Options

User's logbook settings.

Help

Contents

Help contents.

Index

Help index.

Tip Of The Day

View random tips of the day.

About AirLog

Application version information and registration screen.


Grid Menus

At the top, just above each record grid, of each screen, is the record grid menu. You can use the the "Enter" key to edit any selected record, the "Delete" key to delete the selected record, and "Insert" key to add a record.

Use the arrow keys on your keyboard to scroll up and down through the record grid.

The "Find" menu item will allow you to quickly locate a record that meets a certain field's criteria. If there are multiple results (like several flight records with the same aircraft identification but are scattered throughout your flight records), simply hit your "F3" key to find the next item with the same criteria.

The "Help" menu item (as with all help menu items above the grids) will launch the help file directly associated with the current section.


Import

The import screen allows you to import records from several formats.

Importing From Previous Versions Of AirLog

To import records from a previous version of AiLog, select the database file ("airlog.mdb") you wish to import from and click the "OK" button.

Importing From Files

To Import records from files, select the file. The delimiters can be set based on how the file is formatted (the most common being a comma ","). Finally, click the "OK" button.

File Format For Importing

You can manually create files in a text editor to be imported into AirLog. View the Import/Export Field Layout in the appendix for more information on formatting your records for importing into AirLog.


Export

Exporting Records

To export records, select "File->Export->Flights... (or Aircraft... or Airports...)". When prompted by the save dialog box, enter a name for the file and select the type of file you want to export to. The export delimiters can be set based on how the file is to be exported on the "Tools->Options..." screen. Finally, click the "OK" button. You can view the Import/Export Field Layout in the appendix for more information on the format of your exported records.

Exporting Your Resume

To export your resume, simply select "File->Export->Resume..." from the main application menu. When prompted by the save dialog box you can enter the name of the HTML file to export to.


Import/Export Field Layout

NOTE: All fields must be included in each record line (signified by the delimiter) or AirLog will read it as an invalid record.

Examples

Flight Records

12/13/2003,N1520J,VJI-MKJ-MOR-HLX,1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,PIC,This is the comment

10/4/2000,N1520J,HEF-VJI,3.2,0,0,0,3.2,0,0,0,0,0,0,1,0,0,0,0,0,0,0,PIC-SOLO,

Airport Records

VJI,Virginia Highlands,0,Uncontrolled

CVYK,Canadian Airport,-1,Class C

Aircraft Records

N1120J,0,0,0,-1,0,0,Piper,140,Airplane,Single-Engine Land,Acrobatic,Piston Aircraft,VJI,

N1230D,0,0,0,-1,0,0,Piper,140,Airplane,Single-Engine Land,Acrobatic,Piston Aircraft,CVYK,My Type Rating

Flight Record Fields

# | Name | Format | Description
1 | flight_date | mm/dd/yyyy | Flight Date - Any valid date
2 | aircraft_ident | Text | Aircraft Identification
3 | route | Apt1-Apt2-Apt3-etc. | Valid airports separated by -
4 | total_time | Decimal (00.0) | Total Time
5 | night_time | Decimal (00.0) | Night Time
6 | act_inst | Decimal (00.0) | Actual Instrument Time
7 | sim_inst | Decimal (00.0) | Simulated Instrument Time
8 | xcountryday | Decimal (00.0) | Cross Country Day Time
9 | xcountrynight | Decimal (00.0) | Cross Country Night Time
10 | user_time1 | Decimal (00.0) | User Defined Time
11 | user_time2 | Decimal (00.0) | User Defined Time
12 | user_time3 | Decimal (00.0) | User Defined Time
13 | user_time4 | Decimal (00.0) | User Defined Time
14 | user_time5 | Decimal (00.0) | User Defined Time
15 | day_fullstops | Number | Day Full Stops (No Decimal)
16 | day_touchngos | Number | Day Touch & Go's (No Decimal)
17 | day_goarounds | Number | Day Go Arounds (No Decimal)
18 | day_instappchs | Number | Day Inst. Approaches (No Decimal)
19 | night_fullstops | Number | Night Full Stops (No Decimal)
20 | night_touchngos | Number | Night Touch & Go's (No Decimal)
21 | night_goarounds | Number | Night Go Arounds (No Decimal)
22 | night_instappchs | Number | Night Inst. Approaches (No Decimal)
23 | Logged As | PIC-SOLO-DUAL-SIC-ASINSTR | Any combination with more than 1 separated by -
24 | Comments | Text | Flight Comments


Log Files

Log Files

Log Files

The log files grid is available to review any import and export activity. The log files are stored in the AirLog "Log" directory under your user directory (\AirLog\Log\user\).

Simply double click an item to launch the details in your windows notepad. Click the "Delete" button to delete the logfile from your computer.


Flight Record Maintenance

The flight grid on the main form is where you add, edit, and delete flight records. You can use your keyboard or the the menu items just above the flight record grid to add, edit, and delete records. You can select flight records with your mouse or by navigating with the up and down arrows on your keyboard.

Adding Flight Records

To add flight records, click "Add" from the main flight grid menu items (or press the "Insert" key on your keyboard). You will then be prompted with the "Flight Detail" screen.

Flight Detail

First, select the date you wish to make your entry for from the date selector. Next, select the aircraft from the aircraft list just below. The aircraft field will default to the aircraft selected from your pilot information. Now, select your "To" and "From" airports and any comments about the flight. Continue entering your flight information until you have completed logging your time and landings. No need to worry about your entry being correct since all requirements are validated before you save your flight record.

When you are finished, click the "OK" button to insert your new record into the database and main flight grid.

Editing Flight Records

Selecting "Edit" (or pressing the "Enter" key on your keyboard) from the main flight grid will allow you to modify any previously entered flight records. The same validations will occur as when adding a record.

Delete Flight Records

Click the "Delete" button (or press the "Delete" key on your keyboard) on the main flight grid toolbar and you will be prompted with a disabled flight editor containing the selected record. Click the "OK" button on the flight editor screen to confirm delete.


Aircraft Maintenance

The aircraft grid is where you add, edit, and delete aircraft records. To view the aircraft grid select "Maintenance->Aircraft->Aircraft..." from the main application menu. You can use your keyboard or the the menu items just above the aircraft record grid to add, edit, and delete records. You can select aircraft records with your mouse or by navigating with the up and down arrows on your keyboard.

Aircraft Grid

Adding Aircraft Records

To add aircraft records, click "Add" from the aircraft grid menu items (or press the "Insert" key on your keyboard). You will then be prompted with the "Aircraft Detail" screen.

Aircraft Detail

When you are finished, click the "OK" button to insert your new record into the database and aircraft grid.

Editing Aircraft Records

Selecting "Edit" (or pressing the "Enter" key on your keyboard) from the aircraft grid will allow you to modify any previously entered aircraft records. The same validations will occur as when adding a record.

Delete Aircraft Records

Click the "Delete" button (or press the "Delete" key on your keyboard) on the aircraft grid toolbar and you will be prompted with a disabled airport detail screen containing the selected record. Click the "OK" button on the aircraft detail screen to confirm delete.


Airport Maintenance

The airport grid is where you add, edit, and delete airport records. To view the airport grid select "Maintenance->Airports..." from the main application menu. You can use your keyboard or the the menu items just above the airport record grid to add, edit, and delete records. You can select airport records with your mouse or by navigating with the up and down arrows on your keyboard.

Airport Grid

Adding Airport Records

To add airport records, click "Add" from the airport grid menu items (or press the "Insert" key on your keyboard). You will then be prompted with the "Airport Detail" screen.

Airport Detail

When you are finished, click the "OK" button to insert your new record into the database and airport grid.

Editing Airport Records

Selecting "Edit" (or pressing the "Enter" key on your keyboard) from the airport grid will allow you to modify any previously entered airport records. The same validations will occur as when adding a record.

Delete Airport Records

Click the "Delete" button (or press the "Delete" key on your keyboard) on the airport grid toolbar and you will be prompted with a disabled airport detail screen containing the selected record. Click the "OK" button on the airport detail screen to confirm delete.


Aircraft Makes & Models

To view the aircraft makes & models, select "Maintenance->Aircraft->Make & Model..." from the main application menu. To add and delete make and/model records, you must first select an aircraft make. The aircraft model list will then be populated with all models associated with the selected aircraft make. Now you will be able to add or delete models and makes.

Airport Makes & Models


Type Rating Maintenance

The type rating grid is where you add, edit, and delete type rating records. To view the type rating grid select "Maintenance->Aircraft->Type Ratings..." from the main application menu. You can use your keyboard or the the menu items just above the type rating record grid to add, edit, and delete records. You can select type rating records with your mouse or by navigating with the up and down arrows on your keyboard.

Type Rating Grid

Adding Type Rating Records

To add airport records, click "Add" from the airport grid menu items (or press the "Insert" key on your keyboard). You will then be prompted with the "Airport Detail" screen.

Type Rating Detail

When you are finished, click the "OK" button to insert your new record into the database and type rating grid.

Editing Type Rating Records

Selecting "Edit" (or pressing the "Enter" key on your keyboard) from the airport grid will allow you to modify any previously entered type rating records. The same validations will occur as when adding a record.

Delete Type Rating Records

Click the "Delete" button (or press the "Delete" key on your keyboard) on the type rating grid toolbar and you will be prompted with a disabled type rating detail screen containing the selected record. Click the "OK" button on the type rating detail screen to confirm delete.


User Maintenance

The user grid is where you add, edit, and delete airport records. To view the user grid select "Maintenance->Users..." from the main application menu. You can use your keyboard or the the menu items just above the airport record grid to add, edit, and delete records. You can select airport records with your mouse or by navigating with the up and down arrows on your keyboard.

User Grid

Adding User Records

To add user records, click "Add" from the airport grid menu items (or press the "Insert" key on your keyboard). You will then be prompted with the "User Detail" screen.

User Detail

When you are finished, click the "OK" button to insert your new record into the database and user grid.

Editing User Records

Selecting "Edit" (or pressing the "Enter" key on your keyboard) from the user grid will allow you to modify any previously entered user records. The same validations will occur as when adding a record.

Editing User Permissions

N/A

Delete User Records

Click the "Delete" button (or press the "Delete" key on your keyboard) on the user grid toolbar and you will be prompted with a disabled user detail screen containing the selected record. Click the "OK" button on the user detail screen to confirm delete.


Organization Information

To edit your organization information, select "Maintenance->Organization Information..." from the main application menu.

Organization Detail


AirLog For Palm OS

AirLog makes it easy for you to log your flights while you are away and upload to your logbook later with the new AirLog for Palm OS suppliment.

AirLog Palm OS Software

System Requirements

Palm OS 3.5 or higher

Installation

To install the AirLog Palm OS software, select "File->Palm..." from the main application menu or "Palm" from the logbook menu items just above the logbook grid. You will then be presented with the Palm detail screen.

Palm Detail Screen

You will need to enter your Palm HotSync username in the field provided. Now, make sure the 1st sync default "Install Palm Application" option is selected and click the "OK" button. The installation procedure will start by verifying your palm username, then it processes all airport, aircraft makes & models, aircraft, pilot information, and type ratings records from your logbook. When the process finishes, you will be prompted with a message that your Palm software will be updated the next time you HotSync.

Finally, HotSync your Palm device and you should find the AirLog software suppliment in your Palm device loaded with all airports, aircraft makes & models, aircraft, type ratings, and your pilot information.

Palm Programs

To start the AirLog Palm software, simply tap the AirLog icon on your Palm device.


AirLog Palm User's Guide

 Top Previous

When you first start the AirLog Palm software, you will be presented with the main menu screen.

Main Menu Screen

To begin logging flights, tap the "Flights" menu item, then add at the bottom right of the flight grid.

Palm HotSync And Importing Records

To import your Palm device flight records, HotSync your Palm device then click the "Palm" logbook menu item to launch the Palm OS Device Screen. Make sure your HotSync username is in the provided field and that the "Syncronize" option is selected. Click "OK" to retrieve and import any records from your Palm device.

If you have user permissions to add aircraft and airports, any records added to your Palm software will be added to the logbook. If you don't have permission to add aircraft and airports, you will only be able to import flight records from your Palm device that use the aircraft and airport records currently in the logbook. The rest of your filght records will be left on your palm device until you are granted permissions to add aircraft and airports or until a user with the proper permissions adds the required items manually.

When records are imported to your logbook, you will need to HotSync again so your Palm device data is updated. Flight records are removed from your Palm software when they are imported into your logbook.

NOTE: The AirLog Palm OS software is not designed to save any changes to aircraft, pilot information, or airports. It will, however, update the logbook with any new aircraft and airports as well as import any valid flight records. If you modify any of the aircraft, airport, pilot information, that information will be overwritten with the data currently in your logbook at the time of HotSync.